import 'package:decorated_flutter/decorated_flutter.dart';
import 'package:tim_fluttify/tim_fluttify.dart';
import 'package:tim_fluttify_example/src/model/view_model.dart';

class HomeBLoC extends LocalBLoC with _ComponentMixin {
  HomeBLoC() : super('会话列表 BLoC');
}

mixin _ComponentMixin on LocalBLoC {
  @override
  List<BaseIO> get disposeBag => [sessionList, friendList];

  final sessionList = ListOutput<SessionVM, void>(
    semantics: '会话列表',
    fetch: (_) async {
      final conversionList = await Tim.instance.fetchConversationList();
      return [for (final item in conversionList) await SessionVM.data(item)];
    },
  );

  final friendList = ListOutput<FriendVM, void>(
    semantics: '会话列表',
    fetch: (_) async {
      final friendList = await Tim.instance.fetchFriendList();
      return [for (final item in friendList) await FriendVM.data(item)];
    },
  );
}
