import 'dart:io';

import 'package:decorated_flutter/decorated_flutter.dart';
import 'package:tim_fluttify/tim_fluttify.dart';

const _testUser1 = 'user1';
const _testSig1 =
    'eJw1jUsLgkAURv*KzDr0OtPVDNpEoFGLpAe4LLzVTbNhxl5E-71M256Pc76XWM2XruWDGDqCEvVcJMddTeaSoiqz*D6deeONPJWxzqSZqHCAXlqV62Ikes5PpYdmQ1-bR0QJAB23ebHVmvNm6QOoMAgVdtuNTHMnXfhXaj63jQgwkJGSHeecqpr33ApXS8YX7w83-jJU';

const _testUser2 = 'user2';
const _testSig2 =
    'eJw1jcEOgjAQBX*F9GzItrA0mniSeJGelBi9oS26IWBDKxKN-64IXudl5r3YLtuGji5sEbCz61M4uaykPIm7Sq1vXK-43qv*cESqH7l-Fg3CJr2qJZsFP9X0llrztTkiCgCYuNNVYS3pYYkBIpnICKetM*1wJ0L4VzzVY2MOmEhEPnHSpvFU0ijcnWkFe38AslwzNw__';

class LoginBLoC extends LocalBLoC with _ComponentMixin {
  LoginBLoC() : super('登录 BLoC');

  Future<void> performLogin() async {
    if (Platform.isAndroid) {
      await Tim.instance.login(_testUser1, _testSig1);
    } else if (Platform.isIOS) {
      await Tim.instance.login(_testUser2, _testSig2);
    } else {
      throw '未实现的平台';
    }
    toast('登录成功');
  }
}

mixin _ComponentMixin on LocalBLoC {
  @override
  List<BaseIO> get disposeBag => [];
}
