import 'package:kiwi/kiwi.dart';
import 'package:kiwi/kiwi.dart' as kiwi;
import 'package:tim_fluttify_example/src/bloc/bloc.export.dart';

part 'injector.g.dart';

abstract class Injector {
  @Register.singleton(AppBLoC)
  @Register.factory(LoginBLoC)
  @Register.factory(HomeBLoC)
  @Register.factory(AddFriendBLoC)
  void common();

  static void setup(bool isTest) {
    var injector = _$Injector();
    injector.common();
  }

  static T obtain<T>() {
    return kiwi.Container().resolve<T>();
  }

  static void clear() {
    return kiwi.Container().clear();
  }
}
