import 'package:decorated_flutter/decorated_flutter.dart';
import 'package:flutter/material.dart';
import 'package:tim_fluttify_example/src/bloc/bloc.export.dart';

class AddFriendScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    final bloc = context.of<AddFriendBLoC>();
    return Scaffold(
      appBar: AppBar(title: Text('add_friend')),
      body: Center(
        child: DecoratedColumn(
          children: <Widget>[
            TextFormField(
              onSaved: bloc.userId.add,
              decoration: InputDecoration(hintText: '输入好友userId'),
            ),
            SPACE_NORMAL_VERTICAL,
            RaisedButton(
              onPressed: () => _handleAddFriend(context),
              child: Text('添加好友'),
            ),
          ],
        ),
      ),
    );
  }

  void _handleAddFriend(BuildContext context) {
    context
      ..form.save()
      ..of<AddFriendBLoC>()
          .performAddFriend()
          .loading(context)
          .catchError(handle(context));
  }
}
