import 'package:decorated_flutter/decorated_flutter.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:tim_fluttify_example/src/bloc/bloc.export.dart';
import 'package:tim_fluttify_example/src/model/view_model.dart';

import 'friends.widget.dart';
import 'sessions.widget.dart';

class SessionsScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    final bloc = context.of<HomeBLoC>();
    return CupertinoTabScaffold(
      tabBuilder: (context, index) {
        switch (index) {
          case 0:
            return PreferredStreamBuilder<List<SessionVM>>(
              stream: bloc.sessionList.stream,
              builder: (data) => Sessions(data),
            );
          case 1:
            return PreferredStreamBuilder<List<FriendVM>>(
              stream: bloc.friendList.stream,
              builder: (data) => Friends(data),
            );
          default:
            return Center(child: Text('未实现'));
        }
      },
      tabBar: CupertinoTabBar(
        items: [
          BottomNavigationBarItem(
            icon: Icon(Icons.message),
            title: Text('消息'),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.people),
            title: Text('好友'),
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.settings),
            title: Text('我'),
          ),
        ],
      ),
    );
  }
}
