import 'package:tim_fluttify/src/android/android.export.g.dart';
import 'package:tim_fluttify/src/ios/ios.export.g.dart';

import 'enums.dart';

extension LogLevelX on LogLevel {
  int androidLevel() {
    switch (this) {
      case LogLevel.info:
        return com_tencent_imsdk_v2_V2TIMSDKConfig.V2TIM_LOG_INFO;
      case LogLevel.none:
        return com_tencent_imsdk_v2_V2TIMSDKConfig.V2TIM_LOG_NONE;
      case LogLevel.debug:
        return com_tencent_imsdk_v2_V2TIMSDKConfig.V2TIM_LOG_DEBUG;
      case LogLevel.warn:
        return com_tencent_imsdk_v2_V2TIMSDKConfig.V2TIM_LOG_WARN;
      case LogLevel.error:
        return com_tencent_imsdk_v2_V2TIMSDKConfig.V2TIM_LOG_ERROR;
      default:
        return com_tencent_imsdk_v2_V2TIMSDKConfig.V2TIM_LOG_INFO;
    }
  }

  V2TIMLogLevel iosLevel() {
    switch (this) {
      case LogLevel.info:
        return V2TIMLogLevel.V2TIM_LOG_INFO;
      case LogLevel.none:
        return V2TIMLogLevel.V2TIM_LOG_NONE;
      case LogLevel.debug:
        return V2TIMLogLevel.V2TIM_LOG_DEBUG;
      case LogLevel.warn:
        return V2TIMLogLevel.V2TIM_LOG_WARN;
      case LogLevel.error:
        return V2TIMLogLevel.V2TIM_LOG_ERROR;
      default:
        return V2TIMLogLevel.V2TIM_LOG_INFO;
    }
  }
}
