part of 'tim.dart';

class Conversation {
  Conversation.android(this._androidModel) : this._iosModel = null;

  Conversation.ios(this._iosModel) : this._androidModel = null;

  final com_tencent_imsdk_v2_V2TIMConversation _androidModel;
  final V2TIMConversation _iosModel;

  Future<Message> get lastMessage async {
    return platform(
      android: (pool) async {
        final raw = await _androidModel.getLastMessage();
        return Message.android(raw);
      },
      ios: (pool) async {
        final raw = await _iosModel.get_lastMessage();
        return Message.ios(raw);
      },
    );
  }

  Future<int> get unreadCount async {
    return platform(
      android: (pool) async {
        return _androidModel.getUnreadCount();
      },
      ios: (pool) async {
        return _iosModel.get_unreadCount();
      },
    );
  }

  Future<String> get showName async {
    return platform(
      android: (pool) async {
        return _androidModel.getShowName();
      },
      ios: (pool) async {
        return _iosModel.get_showName();
      },
    );
  }
}

class Message {
  Message.android(this._androidModel) : this._iosModel = null;

  Message.ios(this._iosModel) : this._androidModel = null;

  final com_tencent_imsdk_v2_V2TIMMessage _androidModel;
  final V2TIMMessage _iosModel;
}

class UserInfo {
  UserInfo.android(this._androidModel) : this._iosModel = null;

  UserInfo.ios(this._iosModel) : this._androidModel = null;

  final com_tencent_imsdk_v2_V2TIMUserFullInfo _androidModel;
  final V2TIMUserFullInfo _iosModel;
}

class Friend {
  Friend.android(this._androidModel) : this._iosModel = null;

  Friend.ios(this._iosModel) : this._androidModel = null;

  final com_tencent_imsdk_v2_V2TIMFriendInfo _androidModel;
  final V2TIMFriendInfo _iosModel;

  Future<String> get userId async {
    return platform(
      android: (pool) async {
        return _androidModel.getUserID();
      },
      ios: (pool) async {
        return _iosModel.get_userID();
      },
    );
  }
}

class AddFriendResult {
  AddFriendResult.android(this._androidModel) : this._iosModel = null;

  AddFriendResult.ios(this._iosModel) : this._androidModel = null;

  final com_tencent_imsdk_v2_V2TIMFriendOperationResult _androidModel;
  final V2TIMFriendOperationResult _iosModel;
}
